
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ENFEKSIYONETKENBILDIRIM]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[ENFEKSIYONETKENBILDIRIM](
	[ENFEKSIYONETKENBILDIRIMID] [int] IDENTITY(1,1) NOT NULL,
	[HMUAYENEID] [int] NULL,
	[HKIMLIKID] [int] NULL,
	[HDOSYAID] [int] NULL,
	[TANITARIH] [datetime] NULL,
	[BILDIRIMTARIH] [datetime] NULL,
	[ADRESTIPID] [int] NULL,
	[ILID] [int] NULL,
	[ILCEID] [int] NULL,
	[BUCAKID] [int] NULL,
	[KOYID] [int] NULL,
	[MAHALLEID] [int] NULL,
	[DISKAPINO] [nvarchar](50) NULL,
	[ICKAPINO] [nvarchar](50) NULL,
	[HASTAEX] [bit] NULL,
	[BILGILERTAMAM] [bit] NULL,
	[BILDIRILDI] [bit] NULL,
	[SNOGONDERILDI] [bit] NULL,
	[CIKTIALINDI] [bit] NULL,
	[SGKULLANICI] [nvarchar](20) NULL,
	[SGTARIH] [datetime] NULL,
	[KYKULLANICI] [nvarchar](20) NULL,
	[KYTARIH] [datetime] NULL,
	[BULASICIGRUP] [nvarchar](1) NULL,
	CSBM nvarchar(150) NULL,
	TELEFONTIPIID smallint NULL,
	TELEFONNO nvarchar(20) NULL,
	ENFEKSIYONETKENICSBMTIPI [int] NULL

 CONSTRAINT [PK_ENFEKSIYONETKENBILDIRIM] PRIMARY KEY CLUSTERED 
(
	[ENFEKSIYONETKENBILDIRIMID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO


IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ENFEKSIYONETKENBILDIRIMDETAY]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[ENFEKSIYONETKENBILDIRIMDETAY](
	[ENFEKSIYONETKENBILDIRIMDETAYID] [int] IDENTITY(1,1) NOT NULL,
	[ENFEKSIYONETKENBILDIRIMID] [int] NULL,
	[ENFEKSYONETKENKODU] [nvarchar](20) NULL,
	[KYKULLANICI] [nvarchar](20) NULL,
	[KYTARIH] [datetime] NULL,
	[SGKULLANICI] [nvarchar](20) NULL,
	[SGTARIH] [datetime] NULL
	

 CONSTRAINT [PK_ENFEKSIYONETKENBILDIRIMDETAY] PRIMARY KEY CLUSTERED 
(
	[ENFEKSIYONETKENBILDIRIMDETAYID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[VWENFEKSIYONETKENBILDIRIM]') AND OBJECTPROPERTY(id,N'IsVIew') = 1)
BEGIN
    INSERT INTO SCRIPT_BACKUPS (SCRIPTNAME,SCRIPT,SCRIPTDATE) SELECT 'VWENFEKSIYONETKENBILDIRIM' SCRIPTNAME,OBJECT_DEFINITION(OBJECT_ID('VWENFEKSIYONETKENBILDIRIM')) AS SCRIPT,GETDATE() AS SCRIPTDATE
    DROP VIEW VWENFEKSIYONETKENBILDIRIM
END

GO

CREATE VIEW VWENFEKSIYONETKENBILDIRIM AS
SELECT 
ENFEKSIYONETKENBILDIRIM.*,
       dbo.HMUAYENE.HMTARIH,  dbo.HMUAYENE.HMDRID, TDRKIMLIK.DRTCKIMLIKNO,TDRKIMLIK.DRADI,    
	   dbo.HKIMLIK.HEVADRES,         
	   dbo.HKIMLIK.HEVILID,   
       dbo.HKIMLIK.HEVILCEID,   
       dbo.HKIMLIK.HEVKOYID,   
       dbo.HKIMLIK.HEVMAHID,   
       dbo.HKIMLIK.HEVBUCAKID,   
       CASE  
           WHEN LTRIM(ISNULL(HEVPKODU, '')) = ''      THEN ''  
           ELSE HEVPKODU+' '  
       END+CASE  
               WHEN LTRIM(ISNULL(HEVILCE, '')) = ''   THEN ''  
               ELSE HEVILCE+'/'  
           END+ISNULL(dbo.HKIMLIK.HEVIL, '')+CASE  
                                                 WHEN LTRIM(ISNULL(HEVULKE, '')) = ''  THEN ''  
                                                 ELSE ' '+ISNULL(HEVULKE, '')  
                                             END AS HEVADRES2,
      -- dbo.TULKEMERNIS.ULKEADI,  
       dbo.HKIMLIK.ULKEMERNISKODU,   
       dbo.HKIMLIK.ULKEKODU,   
       dbo.HKIMLIK.HPASAPORT,   
       dbo.HDOSYA.SNOTAKIPNO        

 FROM ENFEKSIYONETKENBILDIRIM  
INNER JOIN HKIMLIK WITH(NOLOCK)  ON HKIMLIK.HKIMLIKID=ENFEKSIYONETKENBILDIRIM.HKIMLIKID 
INNER JOIN HMUAYENE  WITH(NOLOCK)  ON HMUAYENE.HMUAYENEID=ENFEKSIYONETKENBILDIRIM.HMUAYENEID
INNER JOIN dbo.HDOSYA WITH(NOLOCK) ON dbo.HDOSYA.HDOSYAID = dbo.HMUAYENE.HDOSYAID
INNER JOIN dbo.TDRKIMLIK WITH(NOLOCK) ON dbo.HMUAYENE.HMDRID = dbo.TDRKIMLIK.DRID 
--LEFT OUTER JOIN dbo.TULKEMERNIS WITH(NOLOCK) ON dbo.HKIMLIK.ULKEMERNISKODU = dbo.TULKEMERNIS.ULKEMERNISKODU     
WHERE(dbo.HMUAYENE.IPTAL = 0)  



